package com.docus.server.vo.recovery.rcvsysuser;

import com.docus.server.enums.EffectiveEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
*
* 系统登录用户表 VO
*
* @author AutoGenerator
* @since 2023-09-13
*/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value="RcvSysUserVO对象", description="系统登录用户表")
public class RcvSysUserVO implements Serializable {

    @ApiModelProperty(value = "")
    private Long userId;

    @ApiModelProperty(value = "登陆名")
    private String userName;

    @ApiModelProperty(value = "用户密码")
    private String userPwd;

    @ApiModelProperty(value = "性别")
    private Integer userSex;

    @ApiModelProperty(value = "年龄")
    private Integer userAge;

    @ApiModelProperty(value = "电话")
    private String userTel;

    @ApiModelProperty(value = "邮箱")
    private String userEmail;

    @ApiModelProperty(value = "头像路径")
    private String userHead;

    @ApiModelProperty(value = "职位")
    private String userPosition;

    @ApiModelProperty(value = "是否有效，0：无效，1：有效")
    private EffectiveEnum effective;

    @ApiModelProperty(value = "入库时间")
    private Date createTime;

    @ApiModelProperty(value = "入库更新时间")
    private Date updateTime;


}
