package com.docus.server.dto.recovery.rcvbasic;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @ClassName BookInfoExcelModel
 * @Description 导入数据模板
 * @Author ALW
 * @Date 2023/3/1 11:25
 * @Version 1.0
 */
@Data
@EqualsAndHashCode
public class MedicalInfoExcelModelDTO extends BaseRowModel {

    private Long id;

    @ExcelProperty(value = "住院号", index = 0)
    private String admissId;

    @ExcelProperty(value = "住院次数", index = 1)
    private Integer admissTimes;

    @ExcelProperty(value = "流水号", index = 2)
    private String serialNumber;

    @ExcelProperty(value = "患者姓名", index = 3)
    private String name;

    @ExcelProperty(value = "住院医师", index = 4)
    private String attendingName;

    @ExcelProperty(value = "出院日期", index = 5)
    private String disDate;

    @ExcelProperty(value = "出院科室编码", index = 6)
    private String disDept;

    @ExcelProperty(value = "出院科室名称", index = 7)
    private String disDeptName;

}
