package com.docus.server.vo.recovery;

import lombok.Data;
import org.springframework.data.annotation.Transient;

import java.util.Map;
import java.util.Set;

@Data
public class UserInfoView {

    private String token;
    private String userId;
    //用户账号
    private String userName;
    ///用户姓名
    private String realName;
    //角色Id
    private String roleId;
    //角色名称
    private String roleName;
    //有 权限的菜单和功能按钮
    private Set<String> menus;
    ///用户数据权限标识
    private String privilegeMd5;

    //数据权限ID
    private Set<String> privilegeIds;
    private Set<String> privilegeOwnerIds;
    //用户默认访问的城市
    private Integer defau1tAdminCode;
    ///用户默认访问的企业
    private String defaultownerId;
    //当前城市下有权限的企业ID->企业名称，不持久化到redis
    @Transient
    private Map<String, String> currentAdminOwners;
    //当前城市下有权限的企业，不持久化到redis
//    @Transient
//    private List<RtrownerInfo> currentAdminOwnerInfos;
    // 所有有权限的城市区划和城市名称
    private Map<Integer, String> privilegeAdmins;
    //当前应用ID
    private String appId;
    ///用户密码用于cti连接
    @Transient
    private String password;
    //是否超管
    private boolean isSuperAdmin = false;

    private String hostSystem;
    //.中心点纬度
    private String centerLatitude;
    private String centerLongitude;

}
